// genObject.h -- Object method prologue generation		-*- C++ -*-
// 
// Author: Ian.Piumarta@INRIA.Fr
//
// Last edited: Thu Jan 13 03:18:27 2000 by piumarta (Ian Piumarta) on pingu

#ifndef _j_genObject_h
#define _j_genObject_h


#include "archdep.h"

class NativeMethod;


extern void genEquivalent(NativeMethod *nMeth, insn *fail);
extern void genNew(NativeMethod *nMeth, insn *fail);
extern void genNewWithArg(NativeMethod *nMeth, insn *fail);
extern void genAsOop(NativeMethod *nMeth, insn *fail);

extern void genNoop(NativeMethod *nMeth, insn *fail);


#endif // _j_genObject_h

